Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.uddi.client.service
Class UDDISoapMessage

    java.lang.Object
      |
      +--weblogic.uddi.client.service.UDDISoapMessage

public class UDDISoapMessage
extends java.lang.Object

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UDDISoapMessage()`

Method Summary
`org.w3c.dom.Document` | `createDOMDoc()`
`org.w3c.dom.Element` | `getResult()`
`boolean` | `isFault()`
`org.w3c.dom.Element` | `populateDOMElement(org.w3c.dom.Document doc, javax.xml.soap.SOAPElement soapElement)`
`javax.xml.soap.SOAPElement` | `populateSOAPElement(javax.xml.soap.SOAPEnvelope envelope, javax.xml.soap.SOAPElement element, org.w3c.dom.Element sndElement)`
`void` | `sendMessage(org.w3c.dom.Element sndElement, java.lang.String urlString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDDISoapMessage

    public UDDISoapMessage()

Method Detail

### createDOMDoc

    public org.w3c.dom.Document createDOMDoc()
                                      throws XML_SoapException

### sendMessage

    public void sendMessage(org.w3c.dom.Element sndElement,
                            java.lang.String urlString)
                     throws XML_SoapException

### populateDOMElement

    public org.w3c.dom.Element populateDOMElement(org.w3c.dom.Document doc,
                                                  javax.xml.soap.SOAPElement soapElement)
                                           throws XML_SoapException

### populateSOAPElement

    public javax.xml.soap.SOAPElement populateSOAPElement(javax.xml.soap.SOAPEnvelope envelope,
                                                          javax.xml.soap.SOAPElement element,
                                                          org.w3c.dom.Element sndElement)
                                                   throws javax.xml.soap.SOAPException

### isFault

    public boolean isFault()

### getResult

    public org.w3c.dom.Element getResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD